color_map(3)

NAME
color_map - Global pointer to the color mapping table. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern COLOR_MAP *color_map;

DESCRIPTION
Global pointer to the color mapping table. You must allocate your own COLOR_MAP either statically or dynamically and set color_map to it before using any translucent or lit drawing functions in a 256-color video mode! Example:
   color_map = malloc(sizeof(COLOR_MAP));
   if (!color_map)
      abort_on_error("Not enough memory for color map!");

SEE ALSO
create_color_table(3), create_light_table(3), create_trans_table(3), create_blender_table(3), set_trans_blender(3), draw_trans_sprite(3), draw_lit_sprite(3), draw_gouraud_sprite(3), drawing_mode(3), ex3d(3), excolmap(3), exlights(3), exshade(3), extrans(3)